hplip software installation gets stuck on sudo apt-get remove libhpmud0 libsane-hpaio printer-driver-postscript-hp

Asked by Tea Šilić

I am having problems with using my HP InkTank Wireles 419 on Ubuntu 20.04. I used to work driverless, but now the printer is not responding most of the time. I get no reaction from the device or sometimes I get an error connecting to device.

I tried installing hplip software to make it work, but the istallation gets stuck on line "sudo apt-get remove libhpmud0 libsane-hpaio printer-driver-postscript-hp" I just keeps rolling and doesn't complete the step or proceed further.

Here is output in the terminal:

tea@CrnaKava:~$ sh hplip-3.21.2.run
Creating directory hplip-3.21.2
Verifying archive integrity... All good.
Uncompressing HPLIP 3.21.2 Self Extracting Archive...........................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................

HP Linux Imaging and Printing System (ver. 3.21.2)
HPLIP Installer ver. 5.1

Copyright (c) 2001-18 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Installer log saved in: hplip-install_Tue-13-Apr-2021_21:54:49.log

\
note: Defaults for each question are maked with a '*'. Press <enter> to accept the default.

INSTALLATION MODE
-----------------
Automatic mode will install the full HPLIP solution with the most common options.
Custom mode allows you to choose installation options to fit specific requirements.

Please choose the installation mode (a=automatic*, c=custom, q=quit) : a

INTRODUCTION
------------
This installer will install HPLIP version 3.21.2 on your computer.
Please close any running package management systems now (YaST, Adept, Synaptic, Up2date, etc).

DISTRO/OS CONFIRMATION
----------------------
Distro appears to be Ubuntu 20.04.

Is "Ubuntu 20.04" your correct distro/OS and version (y=yes*, n=no, q=quit) ? y

Initializing. Please wait...

ENTER USER PASSWORD
-------------------
Please enter the sudoer (tea)'s password:

INSTALLATION NOTES
------------------
Enable the universe/multiverse repositories. Also be sure you are using the Ubuntu "Main" Repositories. See: https://help.ubuntu.com/community/Repositories/Ubuntu for more information. Disable the CD-ROM/DVD source if you do not have the Ubuntu installation media inserted in the drive.

Please read the installation notes. Press <enter> to continue or 'q' to quit:

SECURITY PACKAGES
-----------------
AppArmor is installed.
AppArmor protects the application from external intrusion attempts making the application secure

Would you like to have this installer install the hplip specific policy/profile (y=yes*, n=no, q=quit) ? y

RUNNING PRE-INSTALL COMMANDS
----------------------------
OK

RUNNING HPLIP LIBS REMOVE COMMANDS
----------------------------------
sudo apt-get remove libhpmud0 libsane-hpaio printer-driver-postscript-hp

Question information

Language:
English Edit question
Status:
Solved
For:
HPLIP Edit question
Assignee:
No assignee Edit question
Solved by:
Manfred Hampl
Solved:
Last query:
Last reply:
Revision history for this message
Manfred Hampl (m-hampl) said :
#1

What happens when you execute the command
sudo apt-get remove libhpmud0 libsane-hpaio printer-driver-postscript-hp
in a terminal window?

Revision history for this message
Tea Šilić (macaklinka) said :
#2

Hi, thank you for the reply!

I executed the command in terminal, here is what happened (sorry, it's in Croatian, I'll translate later):

tea@CrnaKava:~$ sudo apt-get remove libhpmud0 libsane-hpaio printer-driver-postscript-hp
[sudo] lozinka za tea:
Čitanje popisa paketa... Završeno
Izgradnja stabla zavisnosti
Čitanje informacija stanja... Završeno
Sljedeći paketi su automatski instalirani i više nisu potrebni:
  hplip-data libaribb24-0 libllvm10 libllvm10:i386 linux-headers-5.4.0-67
  linux-headers-5.4.0-67-generic linux-image-5.4.0-67-generic
  linux-modules-5.4.0-67-generic linux-modules-extra-5.4.0-67-generic
Koristi 'sudo apt autoremove' kako bi ih uklonili.
Sljedeći paketi će biti UKLONJENI:
  hplip libhpmud0 libsane-hpaio printer-driver-hpcups
  printer-driver-postscript-hp
0 nadograđenih, 0 novo instaliranih, 5 za uklanjanje i 2 bez nadogradnje.
Nakon ove radnje, 6.335 kB dodatnog prostora na disku će biti oslobođeno.
Želite li nastaviti? [D/n] D
(Čitanje baze podataka... 281079 datoteka ili direktorija su trenutno instalirana.)
Uklanjam hplip (3.20.3+dfsg0-2) ...
Uklanjam libsane-hpaio:amd64 (3.20.3+dfsg0-2) ...
Uklanjam printer-driver-hpcups (3.20.3+dfsg0-2) ...
Uklanjam libhpmud0:amd64 (3.20.3+dfsg0-2) ...
Uklanjam printer-driver-postscript-hp (3.20.3+dfsg0-2) ...
Obrađujem signal za libc-bin (2.31-0ubuntu9.2) ...
Obrađujem signal za man-db (2.9.1-1) ...
Obrađujem signal za dbus (1.12.16-2ubuntu2.1) ...
Obrađujem signal za cups (2.3.1-9ubuntu1.1) ...
tea@CrnaKava:~$

So, it asked me if I wanted t remove, I replied yes (D).
Then it says "Removing (uklanjam) hlip etc...."
After that "Processing signal for libc-bin etc..."
And if stops there, it doesn't say it's finished or succesful similar.

Is this ok? Is it done now? Should I try to run hplip again?

Revision history for this message
Manfred Hampl (m-hampl) said :
#3

This looks good. Now re-try the hplip installation.

Revision history for this message
Tea Šilić (macaklinka) said :
#4

Hi, I tried but I got stuck again at another step:

tea@CrnaKava:~$ sh hplip-3.21.2.run
Creating directory hplip-3.21.2
Verifying archive integrity... All good.
Uncompressing HPLIP 3.21.2 Self Extracting Archive...........................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................

HP Linux Imaging and Printing System (ver. 3.21.2)
HPLIP Installer ver. 5.1

Copyright (c) 2001-18 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Installer log saved in: hplip-install_Wed-14-Apr-2021_12:32:06.log

\
note: Defaults for each question are maked with a '*'. Press <enter> to accept the default.
-

INSTALLATION MODE
-----------------
Automatic mode will install the full HPLIP solution with the most common options.
Custom mode allows you to choose installation options to fit specific requirements.

Please choose the installation mode (a=automatic*, c=custom, q=quit) :

INTRODUCTION
------------
This installer will install HPLIP version 3.21.2 on your computer.
Please close any running package management systems now (YaST, Adept, Synaptic, Up2date, etc).

DISTRO/OS CONFIRMATION
----------------------
Distro appears to be Ubuntu 20.04.

Is "Ubuntu 20.04" your correct distro/OS and version (y=yes*, n=no, q=quit) ? y

Initializing. Please wait...

ENTER USER PASSWORD
-------------------
Please enter the sudoer (tea)'s password:
\

INSTALLATION NOTES
------------------
Enable the universe/multiverse repositories. Also be sure you are using the Ubuntu "Main" Repositories. See: https://help.ubuntu.com/community/Repositories/Ubuntu for more information. Disable the CD-ROM/DVD source if you do not have the Ubuntu installation media inserted in the drive.

Please read the installation notes. Press <enter> to continue or 'q' to quit:

SECURITY PACKAGES
-----------------
AppArmor is installed.
AppArmor protects the application from external intrusion attempts making the application secure

Would you like to have this installer install the hplip specific policy/profile (y=yes*, n=no, q=quit) ? y

RUNNING PRE-INSTALL COMMANDS
----------------------------
OK

RUNNING HPLIP LIBS REMOVE COMMANDS
----------------------------------
sudo apt-get remove libhpmud0 libsane-hpaio printer-driver-postscript-hp
sudo apt-get remove libhpmud0 libsane-hpaio printer-driver-postscript-hp ( hp_libs_remove step 1)
OK

MISSING DEPENDENCIES
--------------------
Following dependencies are not installed. HPLIP will not work if all REQUIRED dependencies are not installed and some of the HPLIP features will not work if OPTIONAL dependencies are not installed.
Package-Name Component Required/Optional
pyqt5-dbus gui_qt5 OPTIONAL
pil scan OPTIONAL
python-devel base REQUIRED
libavahi-dev scan REQUIRED
reportlab fax OPTIONAL
pyqt5 gui_qt5 REQUIRED
Do you want to install these missing dependencies (y=yes*, n=no, q=quit) ? y

INSTALL MISSING REQUIRED DEPENDENCIES
-------------------------------------
note: Installation of dependencies requires an active internet connection.
warning: Missing REQUIRED dependency: python-devel (Python devel - Python development files)
warning: Missing REQUIRED dependency: pyqt5 (PyQt 5- Qt interface for Python (for Qt version 4.x))
warning: Missing REQUIRED dependency: libavahi-dev (libavahi-dev)

INSTALL MISSING OPTIONAL DEPENDENCIES
-------------------------------------
note: Installation of dependencies requires an active internet connection.
warning: Missing OPTIONAL dependency for option 'gui_qt5': pyqt5-dbus (PyQt 5 DBus - DBus Support for PyQt5)
warning: Missing OPTIONAL dependency for option 'fax': reportlab (Reportlab - PDF library for Python)
warning: Missing OPTIONAL dependency for option 'scan': pil (PIL - Python Imaging Library (required for commandline scanning with hp-scan))
warning: This installer cannot install 'pil' for your distro/OS and/or version.

CHECKING FOR NETWORK CONNECTION
-------------------------------
Network connection present.

RUNNING PRE-PACKAGE COMMANDS
----------------------------
sudo dpkg --configure -a (Pre-depend step 1)
sudo apt-get install --yes --force-yes -f (Pre-depend step 2)
sudo apt-get update (Pre-depend step 3)
OK

DEPENDENCY AND CONFLICT RESOLUTION
----------------------------------
Running 'sudo apt-get install --assume-yes python-dev'
Please wait, this may take several minutes...
Running 'sudo apt-get install --assume-yes gtk2-engines-pixbuf'
Please wait, this may take several minutes...
Running 'sudo apt-get install --assume-yes python-pyqt5'
Please wait, this may take several minutes...
error: Command failed. Re-try #1...
Running 'sudo apt-get install --assume-yes python-pyqt5'
Please wait, this may take several minutes...
error: Command failed. Re-try #2...
Running 'sudo apt-get install --assume-yes python-pyqt5'
Please wait, this may take several minutes...
error: Command failed. Re-try #3...
Running 'sudo apt-get install --assume-yes python-pyqt5'
Please wait, this may take several minutes...
error: Package install command failed with error code 100
Would you like to retry installing the missing package(s) (y=yes*, n=no, q=quit) ? y
Running 'sudo apt-get install --assume-yes python-pyqt5'
Please wait, this may take several minutes...
error: Package install command failed with error code 100
Would you like to retry installing the missing package(s) (y=yes*, n=no, q=quit) ? y

Revision history for this message
Tea Šilić (macaklinka) said :
#5

I also tried running the failed comment in Terminal:

tea@CrnaKava:~$ sudo apt-get install --assume-yes python-pyqt5
[sudo] lozinka za tea:
Čitanje popisa paketa... Završeno
Izgradnja stabla zavisnosti
Čitanje informacija stanja... Završeno
E: Nemoguće je locirati paket python-pyqt5

It says "impossible to locate package python-pyqt5"

Revision history for this message
Best Manfred Hampl (m-hampl) said :
#6

There are some known incompatibilities with hplip and Ubuntu 20.04
I suggest that you install the Ubuntu-provided version instead of the *.run file from the HP pages unless you need the newest version to support your printer.

sudo apt install hplip-gui

Revision history for this message
Tea Šilić (macaklinka) said :
#7

Hi, thank you for the suggestion. I did install the suggested version, hplip-gui but it wasn't succesfull in communicating with the device.

I added the printer trough the HP toolbox interface, and it didn't manage to print the test page - error communicationg with the device (code 5012). Also, on startup I got the message "No system tray detected on this system. Unable to start, exiting"

:(

Revision history for this message
Manfred Hampl (m-hampl) said :
#8

That's now a different problem. Hplip is installed.

Revision history for this message
Tea Šilić (macaklinka) said :
#9

A version is installed but it's not the latest hplip version or the version I was trying to install initially.

Revision history for this message
Tea Šilić (macaklinka) said :
#10

A version is installed but it's not the latest hplip version or the version I was trying to install initially.

Revision history for this message
Tea Šilić (macaklinka) said :
#11

After installing the printer on another, Windows system computer, I managed to configure it to connect to the router, after which I managed to install it wirelessly, through the Ubuntu printer setting interface (not through the HP toolbox), and now it's finally working.

Thank you for the support!

Revision history for this message
Tea Šilić (macaklinka) said :
#12

Thanks Manfred Hampl, that solved my question.